﻿using Microsoft.Extensions.Options;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MiddleWareTest
{
    public class RequestIPOptions : IOptions<RequestIPOptions>
    {
        /// <summary>
        /// 记录类型，0：默认全部，1：非local请求
        /// </summary>
        public int LogType { get; set; }

        RequestIPOptions IOptions<RequestIPOptions>.Value
        {
            get
            {
                return this;
            }
        }
    }
}
